Subject: [OSPF] Doubt and clarification on RFC 2328 sec 16.2

From: sengottuvelan srirangan <[email-masked]>
Date: Thu, 12 Oct 2006 21:22:22 -0700 (PDT)

Hi,
   
  I have a query in RFC 2328 sec 16.2. I have topology like in the attachment. I am
  referring to RFC 2328 section 16.2..
   
  "If an ABR is attached to a transit area(an area with one or more virtual
  links in it), the router should also examine the summary-LSAs from that
  area for routing inter-area traffic in addition to the summary-LSAs in the
  backbone. Therefore, transit areas are the only non-backbone areas that may
  carry data traffic that neither originates nor terminates in the area
  itself. Transit area summary-LSAs are examined after the best inter-area
  route through the backbone is chosen. If any of the transit area summaries
  provide bet
  ter routers to a network than a backbone route, the transit area
  path is used. If the router does not already have a route to the network
  described by the transit area summary, it should not install a route. In
  other worksd, a transit area summary may only be used if the network is
  reachable through the backbone as well."
   
   At this point 215 and 214 are ABRs and have a virtual link.
   
  So, according to RFC the route 3.3.3.0/24 should not be there on MyRouter. Is this right? Please explain.
   
  My argument is that 3.3.3.0/24 route should be there in MyRouter as IA route (summary) via 215 and 215. Is this correct?.
   
  Since we can reduce the topology to :
   
                                            area 1                     area0
  area 0------(MY ROUTER)------------------215-------------------213

  so in Myrouter IA route (3.3.3.0/24) will be seen which is advertiesed by 215 (or 214)  to area1. Is this correct?.
   
  Please anyone clarify the points listed. Please correct me if i am wrong.
   
  Thanks and regards,
  Sengottuvelan

---------------------------------
Get your own web address for just $1.99/1st yr. We'll help. Yahoo! Small Business.

   118.118.118.0/24 
      in area 0           _____________________________                   
                          |                            |  
       |                  |                        3.3.3.0/24
       |                  |                      network in area 0      
   ____|___           ____|____           ________     |   _______ 
  |        |         |         |         |        |    |  |       |
  |        |         |         | Virtual |        |____|__|       |
  |Myrouter|         |  215    |__Link___|  214   |       | 213   | 
  |________|         |_________|         |________|       |_______| 
      |                    |     	      |	              
      |                    |                  |
      |                    |                  |
      |____________   2.2.2.0/24    __________|
                   network in area 1  

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Fri, 13 Oct 2006 08:06:51 -0400

Hi Sengottuvelan,
In your diagram, it appears your backbone isn't continguous since
there are no real or virtual links connecting your router to
routers 213-215. However, you do have an active interface i
n the backbone. Hence, if your implementations precisely
follows RFC 2328, you will not have connectivity to those
backbone destinations which are not reachable (e.g., 3.3.3.3) via
the backbone. Hence, even if you look at area 1 summaries
you will not install the route since you do not have a backbone
path (as specified in RFC 2328, section 16.3).

However, if your implementation follows RFC 3509 and you
have no neighbors connected via your backbone interface
(subnet 118.118.118.0), then you will also examine summaries
in area 1 and install the route.

Hope this helps,
Acee

sengottuvelan srirangan wrote:
> ------------------------------------------------------------------------
>
>
>
>
>
>    118.118.118.0/24 
> ------------------------------------------------------------------------
>